Subject: bug#58376: [PATCH] Set the PARENTS argument for language environments

From: समीर सिंह Sameer Singh <[email-masked]>
Date: Sun, 9 Oct 2022 19:29:21 +0530

You can install the original patch for now, I'll look into this later.

Also can we copy Microsoft keyboard layout for input methods?

Thanks

On Sun, Oct 9, 2022 at 6:52 PM Eli Zaretskii <[email-masked]> wrote:

> > From: समीर सिंह Sameer Singh <[email-masked]>
> > Date: Sun, 9 Oct 2022 15:58:48 +0530
> > Cc: [email-masked]
> >
> >  > From: समीर सिंह Sameer Singh <[email-masked]>
> >  > Date: Sun, 9 Oct 2022 00:46:10 +0530
> >  > Cc: [email-masked]
> >  >
> >  > For Kharoshthi and Gothic how to define the PARENTS argument so that
> it does not overwrite the
> >  previous
> >  > entries in the menu?
> >
> >  What do you mean by "overwrite"?  What happens if you use a list of
> >  more than one PARENTS?
> >
> > If I do something like:
> >
> > (set-language-info-alist
> >  "Kharoshthi" '((charset unicode)
> >        (coding-system utf-8)
> >        (coding-priority utf-8)
> >        (input-method . "kharoshthi")
> >                 (sample-text . "Kharoṣṭhī (𐨑𐨪𐨆𐨛𐨁) 𐨣𐨨𐨲𐨪𐨆
> 𐨐𐨪𐨅𐨨𐨁")
> >        (documentation . "\
> > Language environment for Gāndhārī, Sanskrit, and other languages
> > using the Kharoṣṭhī script."))
> >  '("Misc" "Indian"))
> >
> > Then compile and open emacs -Q
> > Now opening Options>Multilingual Environment>Set Language
> Environment>Indian
> > It only has the Kharoshthi entry
> > Options>Multilingual Environment>Set Language Environment>Misc now also
> has an Indian submenu with
> > only Kharoshthi entry.
>
> Hmm...  Either we don't understand what PARENTS mean (could it mean a
> hierarchy of several menu levels?), or there is a bug.
>
> If you want to work on that, please do; otherwise I'll just install
> your original patch.
>